ion-content {
    height: 100%;
    --background: darkblue  no-repeat center center / cover;
}

ion-grid {
    height: 100%;
}

:root {
    --height-logo: 30vh;
    --padding-top-logo: 15vh;
    --img-width-logo: 90px;
    --height-welcome: 20vh;
    --height-form: 40vh;
    --height-signup: 8vh;
}

#logo {
    height: var(--height-logo);
    width: 100%;
    padding-top: var(--padding-top-logo);
    text-align: center;
    display: block;

    img {
        width: var(--img-width-logo);
    }
}

#welcome {
    height: 20vh;
    padding-top: 5vh;
    width: 100%;
    text-align: center;
    display: block;

    p {
        margin-block-end: 2vh;
        font-size: 10pt;
        color: #fff;
    }

    h1 {
        font-size: 16pt;
        color: #fff;
        margin-top: 0;
        margin-block-start: 0;
    }
}

#form {
    height: var(--height-form);
    width: 30em;
    text-align: center;
    margin: auto;
    display: block;

    ion-card {
        --background: #fff;
        width: 80%;
        max-height: 10em;
        margin: auto auto auto auto;
    }

    input {
        width: 100%;
        border: none;
        border-bottom: 1px solid #ccc;
        outline: none;
        padding: 0.5em;
        font-size: 12pt;
        color: darkblue;
    }

    input:focus {
        outline: none;
        border: none;
        border-bottom: 1px solid #407ffd;
    }

    .passField {
        height: 3em;
        position: relative;

        input {
            position: absolute;
            left: 0;
        }

        ion-icon {
            position: absolute;
            right: 0.5em;
            padding-top: 0.5em;
            font-size: 1.5em;
        }
    }

    p {
        height: 5vh;
        color: #ff4400;
        font-size: 10pt;
        padding: 1vh;
        margin: 0;
    }

    ion-button {
        color: #fff;
        font-size: 14pt;
        font-weight: bold;
        text-transform: none;
    }

    .icon-fingerprint {
        font-size: 1.5em;
        color: #fff;
    }
}

#signup {
    height: 8vh;
    width: 100%;
    text-align: center;
    color: #fff;
    display: block;

    a {
        color: #fff;
        font-weight: bold;
        text-decoration: underline;
    }
}


.emailField {
    text-align: center;
}

.select-css {
    display: block;
    font-size: 16px;
    font-family: sans-serif;
    color: darkblue;
    line-height: 1.3;
    padding: 0.6em 1.4em 0.5em 0.8em;
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    margin: 0 0 5px 0;
    // border: none;
    // box-shadow: 0 1px 0 1px rgba(0, 0, 0, 0.04);
    border-radius: 0.5em;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background-color: #fff;
    background-repeat: no-repeat, repeat;
    background-position: right 0.7em top 50%, 0 0;
    background-size: 0.65em auto, 100%;
    overflow: hidden;
}
.select-css::-ms-expand {
    display: none;
}
.select-css:hover {
    border-color: #888;
}
.select-css:focus {
    border-color: #aaa;
    box-shadow: 0 0 1px 3px rgba(59, 153, 252, 0.7);
    box-shadow: 0 0 0 3px -moz-mac-focusring;
    color: #222;
    outline: none;
}
.select-css option {
    font-weight: normal;
}

.btnFingerprint {
    padding-bottom: 0.5em;
}
